/*
 * ConvexEnvelopeAction.hpp
 *
 *  Created on: May 12, 2010
 *      Author: heber
 */

#ifndef CONVEXENVELOPEACTION_HPP
#define CONVEXENVELOPEACTION_HPP

#include "Actions/Action.hpp"
#include "Actions/Process.hpp"

class TesselationListClass;

class TesselationConvexEnvelopeAction : public Action {
  friend void TesselationConvexEnvelope(std::string &filenameConvex, std::string &filenameNonConvex);

public:
  TesselationConvexEnvelopeAction();
  virtual ~TesselationConvexEnvelopeAction();

  bool canUndo();
  bool shouldUndo();

  virtual const std::string getName();
private:
  virtual Dialog * createDialog();
  virtual Action::state_ptr performCall();
  virtual Action::state_ptr performUndo(Action::state_ptr);
  virtual Action::state_ptr performRedo(Action::state_ptr);

  static const char NAME[];
};

#endif // CONVEXENVELOPEACTION_HPP
